//go:build !windows

package main

import (
	"os"
	"os/exec"
	"syscall"
)

func hideWindow(_ *exec.Cmd) {}

func interruptProcess(p *os.Process) {
	p.Signal(os.Interrupt)
}

func lockFile(f *os.File) error {
	return syscall.Flock(int(f.Fd()), syscall.LOCK_EX|syscall.LOCK_NB)
}
